Waarom hebben sommige apps een geüpdate versie van ios nodig? (iPhone)

Ik zit nog op de oude 5.0.1 en voor sommige apps heb ik ios 6 nodig. Waarom zou dit kunnen zijn, want zo ver ik weer zijn er geen hele grote dingen veranderd aan het ios systeem in de ios 6 update?

Weet jij het antwoord?

/2500

Het beste antwoord

Ik ben zelf iOS ontwikkelaar. Ontwikkelaars maken gebruik van een SDK die ontworpen is aan een versie van iOS. Hierin zitten alle nieuwe opties die ontwikkelaars kunnen gebruiken, maar ook de oude. Op het moment dat een ontwikkelaar voor een nieuwe functie kiest, moet de gebruik wel in het bezit zijn van de daarvoor bestemde iOS versie. Ik raad je ook altijd aan te updaten, niet alleen voor je apps, maar ook voor de veiligheid en lekken van de software.

De ontwikkelaars van Android en Apple downloaden een developer versie van de firmware die je toestel gebruikt, zoals iOS 6, dat betekend dat de bestanden alleen geschik zijn voor die versie van de Firmware, updaten naar een andere firmware kan dat probleem verhelpen, dat updaten is niet altijd legaal dus let er op!

Stel zelf een vraag

Ben je op zoek naar het antwoord die ene vraag die je misschien al tijden achtervolgt?

/100